<template>
            <div class="d-md-flex align-items-center flex-wrap justify-content-center mt-4 p-3 pb-3 contenedorPrincipal">
         
                        <label for="solicitante" class="form-label me-2">Liquidación N°:</label>
                        <input readonly type="text" :value="data.liqActual?.nro_liq" class="form-label me-2"
                            id="LiquidacionNum" autocomplete="off"/>
              
                   
                        <label for="usuario" class="form-label me-2">Estado:</label>
                        <input readonly type="text" :value="data.liqActual?.d_estado" class="form-label me-2" id="estado" autocomplete="off"/>
               
                    
                        <label for="bloque" class="form-label me-2">Fecha:</label>
                        <input readonly type="text" :value="data.liqActual?.perimmaa" class="form-label me-2" id="fecha" autocomplete="off"/>

          
                <a :href="getUrl('becasNoLiquidadas', [])
                    " target="_blank" title="Imprimir" alt="Imprimir" class="btn btn-principal text-uppercase fs-7 p-2 px-1 mx-2 fs-7"
                    style="padding: 10px!important;">
                    BECAS NO LIQUIDADAS
                </a>
                <button v-show="mostrarBotonCalculadora" type="button" class="btn btn-principal px-2  mx-2"
                    @click="procesoBecas(data.liqActual?.id_liq_resu)">
                    <i class="bi bi-calculator"></i>
                </button>
       </div> 
    <BoxBecasLiquidadas />
    
</template>
  
<script setup lang="ts">

//librerias
import { onMounted, reactive, computed } from "vue";
import { useRoute, useRouter } from "vue-router";
import Swal from "sweetalert2/dist/sweetalert2.js";
import { AxiosError } from "axios";
import http from "@/http";
import { urlApi, getUrl, loading } from "@/shared.js";






//store
import { useLiquidacionesStore } from "@/stores/Liquidaciones/liquidaciones";
import { useLiqBecasCabeceraStore } from "@/stores/Liquidaciones/cabeceraBecas";
import type Liquidacion from "@/entities/Liquidaciones/Liquidacion";

import BoxBecasLiquidadas from "@/components/Liquidaciones/BoxBecasLiquidadas.vue";

const route = useRoute();
const router = useRouter();
const liquidacionesStore = useLiquidacionesStore();
const liqBecasCabeceraStore = useLiqBecasCabeceraStore();

var data = reactive({
    liqActual: undefined as Liquidacion | undefined,

});

const mostrarBotonCalculadora = computed(() => {
    return (data.liqActual?.estado == 'I' || data.liqActual?.estado == 'P')
})

onMounted(async () => {
    loading.show();
    data.liqActual = await liquidacionesStore.getLiqActual();
    await liqBecasCabeceraStore.updateListadoLiqCabeceraBecas({
        id_liq: data.liqActual?.id_liq_resu
    });
    loading.hide();
})

async function procesoBecas(id: Number) {

    loading.show();
    try {
        var rta = await http.post(urlApi + "procesoLiquidacion", {
            id_liq_resu: id,
        });

        Swal.fire({
            icon: "success",
            text: rta.data.mensaje_out,
        }).then(async () => {

            await liqBecasCabeceraStore.updateListadoLiqCabeceraBecas({
                id_liq: id
            });


        })
    } catch (error: any) {
        var mensaje: string = error.message;
        if (error instanceof AxiosError) {
            mensaje = error.response?.data.res.mensaje;
        }
        Swal.fire({
            icon: "error",
            text: "No se genero el archivo",
        });
    };
    loading.hide();
}
</script>
  